• Welcome to LiuJason's Blog!

Debian/Ubuntu禁止内核自动更新升级

Linux笔记 Jason 3 months ago (04-20) 268 Views 0 Comments QR code of this page

云筏的KVM系列服务器目前只支持默认版本的Linux内核,更换其他版本的内核可能会出现不兼容的情况,然后IO以及网络速度会变得特别慢。这个问题在产品文档中有专门说明,一般用户不要更新内核就没有问题了,如果用户有能力选择内核的话升级内核到特定版本也是可以正常使用的(需要自己多尝试)。

由于虚拟机业务不是云筏的主营,最近在准备把平台从WHMCS切换到Zkeys,这样虚拟业务和网络构架的开发全部交给Zkeys的工程师,减轻虚拟业务上的运维压力。因为目前整套方案(Proxmox+Virtualizor+WHMCS+KVM+NAT)都打算切换到Zkeys(Zkeys+KVM)所以这个旧方案的硬件兼容的问题不打算修复了。

Ubuntu系统会自动更新内核,这里给出一个禁止内核自动更新的方法。

首先查看已安装内核和正在使用的内核

dpkg --get-selections |grep linux-image
uname -a

然后将目前使用的内核hold住(xxx需要替换成自己正在使用的内核)

sudo apt-mark hold linux-image-x.xx.x-xx-generic
sudo apt-mark hold linux-image-extra-x.xx.x-xx-generic

This article is under CC BY-NC-SA 4.0 license.
Please quote the original link:https://www.liujason.com/article/740.html
Like (0)
发表我的评论
取消评论

表情 贴图 加粗 删除线 居中 斜体 签到

Hi,您需要填写昵称和邮箱!

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址